2 chujiao0195 chujiao0195 于 2017.01.06 10:23 提问

linux cmake版本如何切换

安装caffe过程中,服务器是redhat cmake版本是2.6.4。安装新版本cmake 3.4以后,
使用cmake -version命令查看版本号是3.4 但是用sudo cmake -version 还是2.6.4
请问这是为什么?

2个回答

oyljerry
oyljerry   Ds   Rxr 2017.01.06 10:25
已采纳

直接用绝对路径调用对应版本的cmake。

chujiao0195
chujiao0195   2017.01.06 10:33

问题解决了,谢谢你的回答

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
ubuntu14.04 更改cmake版本
cmake官网:https://cmake.org/download/ 根据自己的要求下载对应的版本 例如要更改的版本为cmake-3.2.2,下载的文件为cmake-3.2.2.tar.gz (版本1,对于初次修改) 1、解压 tar xf cmake-3.2.2.tar.gz 2、编译 cd cmake-3.2.2 ./configure make ...
opencv学习系列:Linux下opencv配置及多版本切换
anaconda安装opencv,配置caffe: conda install --channel https://conda.anaconda.org/menpo opencv3 将会安装2.XX和3.XX版本 import cv2 print cv2.__version__可查看opencv版本 ctrl+D退出终端的import环境 pycharm用caffe: import sys sys.
CentOS 6.x安装多GCC版本,cmake的安装与使用
操作系统:CentOS release 6.5 (Final) 当前gcc版本:build=x86_64-redhat-linux   Thread model: posix   gcc version 4.4.7 20120313 (Red Hat 4.4.7-16) (GCC) 待安装gcc版本:gcc-4.8.5.tar.gz 编译新版本的gcc之前,必须确保系统中已经安装了低版本
CMake 指定gcc编译版本
修改 CMakeLists.txt 文件,添加如下命令SET(CMAKE_C_COMPILER “/home/hhb/gcc-5.2.0/bin/gcc”)SET(CMAKE_CXX_COMPILER “/home/hhb/gcc-5.2.0/bin/g++”)参考: http://blog.csdn.net/amds123/article/details/53812133
【Linux技术】如何升级cmake
如果系统中的cmake版本无法满足我们的需求,我们可以通过源码对cmake进行重现安装。 1 查看cmake版本 cmake --version 2 卸载过去的版本 sudo apt-get autoremove cmake 3.安装需要的版本 以3.5.2为例。 (1)下载 cd ~ wget https://cmake.org/files/v3.5/cmake-...
cmake之管理多版本opencv
我要使用orb-slam2,依赖DBoW2,DBoW2依赖DLib,不就是装软件嘛,谁不会啊~
liunx 下如何查看make与cmake版本
如果是在 shell 中查看,那么直接 make -v 即可。 如果是在 makefile 中获取,则用 $(MAKE_VERSION), 比如下面的makefile .PHONY: all all: echo "VERSION is $(MAKE_VERSION)" 然后在包含此makefile的目录下 make,就会看到相应的打印了。 注意, MAKE_VERSION 是
修改 gcc 和 g++ 的默认版本
转载自:       http://www.cnblogs.com/in4ight/p/6626708.html 由于gcc在5.x版本修改了ABI,导致新版本gcc编译的二进制文件放在老的环境下会报错,所以需要安装gcc4.8.5。4.8.5这个版本支持c++11。 首先尝试下载gcc-4.8.5的源码编译安装,结果make时报错“libstdc++.so.6:
Ubuntu14.04升级CMake
Ubuntu14.04 默认CMake版本是2.8.X 当我们需要更高级版本的时候就需要升级CMake。具体步骤如下: 通过PPA安装:sudo add-apt-repository ppa:george-edison55/cmake-3.x sudo apt-get update sudo apt-get upgrade cmake --version编译安装步骤如下:sudo apt
CMake 生成 Linux 下 Debug 版本的 Makefile 方法
默认为 Release 版的 Makefile。 要生成 Debug 版时,方法如下:cmake -DCMAKE_BUILD_TYPE=Debug ..参考:CMAKE_BUILD_TYPE https://cmake.org/cmake/help/v3.6/variable/CMAKE_BUILD_TYPE.htmlCMAKE_CONFIGURATION_TYPES https://cmake